curl --location --request GET 'https://api.audienceful.com/v2/webhook-events' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/webhook-events"
headers = {
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/webhook-events", {
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
"audience.member_added",
"audience.member_removed",
"bulk_email.sent",
"person.created",
"person.deleted",
"person.unsubscribed",
"person.updated"
]
}
List Available Events
Lists the events a webhook endpoint can subscribe to.
GET
/
v2
/
webhook-events
curl --location --request GET 'https://api.audienceful.com/v2/webhook-events' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/webhook-events"
headers = {
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/webhook-events", {
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
"audience.member_added",
"audience.member_removed",
"bulk_email.sent",
"person.created",
"person.deleted",
"person.unsubscribed",
"person.updated"
]
}
Requires the
webhooks:read scope. Returns the current event vocabulary you can subscribe an endpoint to. See Webhooks overview for what each event means.
Response
The list of available event names.
curl --location --request GET 'https://api.audienceful.com/v2/webhook-events' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/webhook-events"
headers = {
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/webhook-events", {
method: "GET",
headers: {
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
"audience.member_added",
"audience.member_removed",
"bulk_email.sent",
"person.created",
"person.deleted",
"person.unsubscribed",
"person.updated"
]
}
⌘I

